# class Tk::Tile::TProgressbar

### Constants

TkCommandNames
WidgetClassName

### Public Class Methods

style(*args) click to toggle source

    # File lib/tkextlib/tile/tprogressbar.rb, line 28
    def self.style(*args)
      [self::WidgetClassName, *(args.map!{|a| _get_eval_string(a)})].join('.')
    end

### Public Instance Methods

start(interval=None) click to toggle source

def step=(amount)

    tk_send_without_enc('step', amount)

end

    # File lib/tkextlib/tile/tprogressbar.rb, line 39
    def start(interval=None)
      if Tk::Tile::TILE_SPEC_VERSION_ID < 5
        tk_call_without_enc('::tile::progressbar::start', @path, interval)
      else
        tk_send_without_enc('start', interval)
      end
    end

step(amount=None) click to toggle source

    # File lib/tkextlib/tile/tprogressbar.rb, line 32
    def step(amount=None)
      tk_send_without_enc('step', amount).to_f
    end

stop(amount=None) click to toggle source

    # File lib/tkextlib/tile/tprogressbar.rb, line 47
    def stop(amount=None)
      if Tk::Tile::TILE_SPEC_VERSION_ID < 5
        tk_call_without_enc('::tile::progressbar::stop', @path)
      else
        tk_send_without_enc('stop', amount)
      end
    end